org.flexdock.plaf.icons

## Class IconResourceFactory

- java.lang.Object
- - org.flexdock.plaf.icons.IconResourceFactory

- All Implemented Interfaces:
    XMLConstants

      public class IconResourceFactory
      extends java.lang.Object
      implements XMLConstants

  Author:
    Christopher Butler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION_KEY`
    `static java.lang.String` | `ACTIVE`
    `static java.lang.String` | `ACTIVE_DISABLED`
    `static java.lang.String` | `ACTIVE_DISABLED_SELECTED`
    `static java.lang.String` | `ACTIVE_HOVER`
    `static java.lang.String` | `ACTIVE_SELECTED`
    `static java.lang.String` | `ACTIVE_SELECTED_HOVER`
    `static java.lang.String` | `DEFAULT`
    `static java.lang.String` | `DEFAULT_SELECTED`
    `static java.lang.String` | `DISABLED`
    `static java.lang.String` | `DISABLED_SELECTED`
    `static java.lang.String` | `HOVER`
    `static java.lang.String` | `HOVER_SELECTED`
    `static java.lang.String` | `ICON_MAP_KEY`
    `static java.lang.String` | `ICON_RESOURCE_KEY`
    `static java.lang.String` | `PRESSED`
    `static java.lang.String` | `PRESSED_SELECTED`
    `static java.lang.String` | `TOOLTIP`
    `static java.lang.String` | `TOOLTIP_SELECTED`

    - ### Fields inherited from interface org.flexdock.plaf.XMLConstants

      `ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconResourceFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IconMap` | `getIconMap(java.lang.String name)`
    `static IconResource` | `getResource(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICON_RESOURCE_KEY

          public static final java.lang.String ICON_RESOURCE_KEY

      See Also:
        Constant Field Values

    - #### ICON_MAP_KEY

          public static final java.lang.String ICON_MAP_KEY

      See Also:
        Constant Field Values

    - #### ACTION_KEY

          public static final java.lang.String ACTION_KEY

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final java.lang.String DEFAULT

      See Also:
        Constant Field Values

    - #### DISABLED

          public static final java.lang.String DISABLED

      See Also:
        Constant Field Values

    - #### HOVER

          public static final java.lang.String HOVER

      See Also:
        Constant Field Values

    - #### ACTIVE

          public static final java.lang.String ACTIVE

      See Also:
        Constant Field Values

    - #### ACTIVE_HOVER

          public static final java.lang.String ACTIVE_HOVER

      See Also:
        Constant Field Values

    - #### ACTIVE_DISABLED

          public static final java.lang.String ACTIVE_DISABLED

      See Also:
        Constant Field Values

    - #### PRESSED

          public static final java.lang.String PRESSED

      See Also:
        Constant Field Values

    - #### DEFAULT_SELECTED

          public static final java.lang.String DEFAULT_SELECTED

      See Also:
        Constant Field Values

    - #### HOVER_SELECTED

          public static final java.lang.String HOVER_SELECTED

      See Also:
        Constant Field Values

    - #### DISABLED_SELECTED

          public static final java.lang.String DISABLED_SELECTED

      See Also:
        Constant Field Values

    - #### ACTIVE_SELECTED

          public static final java.lang.String ACTIVE_SELECTED

      See Also:
        Constant Field Values

    - #### ACTIVE_SELECTED_HOVER

          public static final java.lang.String ACTIVE_SELECTED_HOVER

      See Also:
        Constant Field Values

    - #### ACTIVE_DISABLED_SELECTED

          public static final java.lang.String ACTIVE_DISABLED_SELECTED

      See Also:
        Constant Field Values

    - #### PRESSED_SELECTED

          public static final java.lang.String PRESSED_SELECTED

      See Also:
        Constant Field Values

    - #### TOOLTIP

          public static final java.lang.String TOOLTIP

      See Also:
        Constant Field Values

    - #### TOOLTIP_SELECTED

          public static final java.lang.String TOOLTIP_SELECTED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IconResourceFactory

          public IconResourceFactory()

  - ### Method Detail

    - #### getIconMap

          public static IconMap getIconMap(java.lang.String name)

    - #### getResource

          public static IconResource getResource(java.lang.String name)